Subject: Re: bug#867:

From: Mark Hindley <[email-masked]>
Date: Thu, 24 Apr 2025 18:59:47 +0100

Hi,

On Thu, Apr 24, 2025 at 02:43:24PM +0300, Boian Bonev wrote:
> The part that I didn't verify is how the packages that require udev.pc
> are declaring that dependency - I am afraid currently it is a side
> effect of something else transitively pulling in eudev.

Yes, this is the less certain part. For forked sources the B-D can be
adjusted. For unforked they might use systemd-dev. So long as systemd-dev, eudev
and libeudev1 remain coinstallable, I think it is all OK.

It would be good to find a concrete example to check my thought experiment.

Mark